# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%global oname xmlsec

Name:           xml-security
Version:        1.4.5
Release:        3%{?dist}
Epoch:          0
Summary:        Implementation of W3C security standards for XML
License:        ASL 2.0
URL:            http://santuario.apache.org/
Group:          Development/Libraries
Source0:        http://archive.apache.org/dist/santuario/java-library/xml-security-src-1_4_5.zip
Source1:        xml-security-component-info.xml
Source2:        http://repo1.maven.org/maven2/org/apache/santuario/xmlsec/1.4.5/xmlsec-1.4.5.pom
Patch0:         xml-security-build_xml.patch
Patch1:         xml-security-disable-test-fail.patch
Patch2:         xml-security-notest.patch

Requires:       java >= 0:1.5.0
Requires:       apache-commons-logging
Requires:       log4j
Requires:       xalan-j2 >= 0:2.7
Requires:       xerces-j2 >= 0:2.7

BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  ant
BuildRequires:  ant-junit
BuildRequires:  apache-commons-logging
BuildRequires:  log4j
BuildRequires:  xalan-j2 >= 0:2.7
BuildRequires:  xerces-j2 >= 0:2.7
BuildArch:      noarch

%description
The XML Security project is aimed at providing implementation 
of security standards for XML. Currently the focus is on the 
W3C standards :
- XML-Signature Syntax and Processing; and
- XML Encryption Syntax and Processing.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description javadoc
Javadoc for %{name}.

%package demo
Summary:        Samples for %{name}
Group:          Documentation

%description demo
Samples for %{name}.

%prep
%setup -q -n xml-security-1_4_5
%patch0 -p0
%patch1 -p0
%patch2 -p0

find . -name \*.jar -type f -exec rm -f {} \;

mkdir -p libs/endorsed
pushd libs
ln -s $(build-classpath commons-logging)
ln -s $(build-classpath commons-logging-api)
ln -s $(build-classpath junit)
ln -s $(build-classpath log4j)
ln -s $(build-classpath xalan-j2)
ln -s $(build-classpath xalan-j2-serializer)
ln -s $(build-classpath xerces-j2)
ln -s $(build-classpath xml-commons-jaxp-1.3-apis)
popd

%build
ant -Djava.endorsed.dirs=libs build.src build.jar build.docs
# FIXME: (dwalluck) AES key size above 128 will fail with default Sun JCE provider policy
# ant -Djava.endorsed.dirs=libs -Dlib.xalan.3=libs/xml-commons-jaxp-1.3-apis.jar test

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/%{oname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
ln -s %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{oname}.jar
install -m 644 build/xmlsecSamples-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-samples.jar
ln -s %{name}-samples.jar $RPM_BUILD_ROOT%{_javadir}/xmlsecSamples.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr build/docs/html/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{oname}.pom
%add_maven_depmap JPP-%{oname}.pom %{oname}.jar -a "org.apache.santuario:xmlsec"

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr src_samples/* $RPM_BUILD_ROOT%{_datadir}/%{name}

%files
%doc LICENSE
%{_javadir}/%{name}.jar
%{_javadir}/%{oname}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}

%files demo
%doc LICENSE
%{_javadir}/%{name}-samples.jar
%{_javadir}/xmlsecSamples.jar
%{_datadir}/%{name}

%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.4.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Sep 20 2011 Andy Grimm <agrimm@gmail.com> 0:1.4.5-2
- Fixes for package review

* Wed Sep 07 2011 Andy Grimm <agrimm@gmail.com> 0:1.4.5-1
- Follow Fedora guidelines

* Sat Jan 09 2010 Will Tatam <will.tatam@red61.com> 1.4.2-5
- Auto rebuild for JPackage 6 in centos5 mock

* Mon Aug 17 2009 David Walluck <dwalluck@redhat.com> 0:1.4.2-4
- remove unneeded bouncycastle

* Sat Aug 15 2009 Ralph Apel <r.apel@r-apel.de> 0:1.4.2-3
- Add pom and depmap frag

* Tue May 26 2009 David Walluck <dwalluck@redhat.com> 0:1.4.2-2
- fix log4j location in patch

* Tue May 26 2009 David Walluck <dwalluck@redhat.com> 0:1.4.2-1
- 1.4.2

* Mon Jan 12 2009 David Walluck <dwalluck@redhat.com> 0:1.3.0-3
- add compiled samples jar to demo subpackage
- specify xml-commons-jaxp-1.3-apis explicitly
- rename repolib directory for AS5
- fix repolib permissions
- fix repolib file ownership

* Wed May 28 2008 David Walluck <dwalluck@redhat.com> 0:1.3.0-2.jpp5
- don't remove buildroot in %%prep
- don't use absolute path for %%doc
- fix License

* Mon Apr 21 2008 David Walluck <dwalluck@redhat.com> 0:1.3.0-1jpp.ep1.3
- unpatched version requires ant-nodeps
- fix tests
- remove javadoc scriptlets
- remove %%{buildroot} in %%install
- rename BuildRoot

* Tue Mar 13 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:1.3.0-1jpp.ep1.2
- Fix repolib location

* Tue Mar 13 2007 Fernando nasser <fnasser@redhat.com> 0:1.3.0-1jpp.ep1.1
- Remove duplicate macros

* Tue Feb 20 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:1.3.0-1jpp.el4ep1.2
- Install jar with name as used upstream
- Add -brew suffix

* Sun Feb 18 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:1.3.0-1jpp.el4ep1.1
- Add repolib support
- Add missing BR on ant-junit

* Tue Aug 01 2006 Fernando nasser <fnasser@redhat.com> 0:1.3.0-1jpp_1rh
- Merge with upstream

* Tue Jan 17 2006 Deepak Bhole <dbhole@redhat.com> 0:1.3.0-1jpp
- Upgrade to version 1.3.0.
- Removed com.sun dependencies.
- Removed bouncycastle dependency.

* Thu Oct 20 2005 Fernando nasser <fnasser@redhat.com> 0:1.2.1-1jpp_1rh
- First Red Hat build
- Remove bouncycastle
- Lower Xalan-j2 requires to 2.6.0

* Mon Oct 10 2005 Ralph Apel <r.apel at r-apel.de> 0:1.2.97-1jpp
- Upgrade to build/run with JAXP-1.3

* Mon Apr 04 2005 Ralph Apel <r.apel at r-apel.de> 0:1.2.1-1jpp
- First JPackage release
